OpenTTD Source: SlTownSupplied Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Static Public Attributes
SlTownSupplied Class Reference
Inheritance diagram for SlTownSupplied:

## Public Member Functions
std::vector< Town::SuppliedCargo > & | GetVector (Town *t) const override
| Get instance of vector to load/save.
Public Member Functions inherited from VectorSaveLoadHandler< SlTownSupplied, Town, Town::SuppliedCargo >
virtual size_t | GetLength () const
| Get number of elements to load into vector.
void | Save (Town *object) const override
void | Load (Town *object) const override
Public Member Functions inherited from DefaultSaveLoadHandler< TImpl, TObject >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
virtual void | Save (TObject *object) const
void | Save (void *object) const override
| Save the object to disk.
virtual void | Load (TObject *object) const
void | Load (void *object) const override
| Load the object from disk.
virtual void | LoadCheck (TObject *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
virtual void | FixPointers (TObject *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = {}

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 186 of file town_sl.cpp.

## Member Function Documentation

## ◆ GetVector()

std::vector< Town::SuppliedCargo > & SlTownSupplied::GetVector | ( | Town * | object | ) | const
| inlineoverridevirtual

Get instance of vector to load/save.

Parameters

  object | Object containing vector.

Returns
  Vector to load/save.

Implements VectorSaveLoadHandler< SlTownSupplied, Town, Town::SuppliedCargo >.

Definition at line 194 of file town_sl.cpp.

References Town::supplied.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlTownSupplied::compat_description = {}
| inlinestatic

Definition at line 192 of file town_sl.cpp.

## ◆ description

const SaveLoad SlTownSupplied::description[]
| inlinestatic

Initial value:
= {
SLE_VAR(Town::SuppliedCargo, cargo, SLE_UINT8),
SLEG_STRUCTLIST("history", SlTownSuppliedHistory),
}
SlTownSuppliedHistory
Definition town_sl.cpp:158
SLEG_STRUCTLIST
#define SLEG_STRUCTLIST(name, handler)
Storage of a list of structs in every savegame version.
Definition saveload.h:1256
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition saveload.h:1017
Town::SuppliedCargo
Definition town.h:99

Definition at line 188 of file town_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/town_sl.cpp